"""add ancillaries to image download

Revision ID: 30d66371f949
Revises: e61671602ed0
Create Date: 2023-03-28 11:50:44.751464

"""
from pathlib import Path

from alembic import op


# revision identifiers, used by Alembic.
revision = "30d66371f949"
down_revision = "e61671602ed0"
branch_labels = None
depends_on = None


def set_content(wf_name: str, filename: str) -> str:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = E'{set_content("downloads", "download_2.8.1.txt")}'
        WHERE filename = 'download.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = E'{set_content("downloads", "download_2.8.0.txt")}'
        WHERE filename = 'download.sh'
        """
    )
